@echo off
set WORKING_COPY="C:\Users\npunjabi\Documents\Visual Studio 2013\Projects\DeveloperEnvironment"
set MSBUILD_DIR="C:\Windows\Microsoft.NET\Framework64\v4.0.30319\msbuild.exe"
set SLN_FILE=%WORKING_COPY%\DeveloperEnvironment.sln
set Staging_PUBLISHPROFILE_FILE=%WORKING_COPY%\DeveloperEnvironment\Properties\PublishProfiles\Staging.pubxml
set Production_PUBLISHPROFILE_FILE=%WORKING_COPY%\DeveloperEnvironment\Properties\PublishProfiles\Production.pubxml
 
cd %WORKING_COPY%
svn up

REM *****************Staging Deployment Start*******************************
echo _________________________________________________________________
echo We are starting deployment on Staging Environment. Would you like to continue?
echo.
set /p answer= Enter Y or N: 
echo.
if %answer% == Y goto StagingY
if not %answer% == Y goto StagingN

:StagingY
%MSBUILD_DIR% %SLN_FILE% /p:DeployOnBuild=true /p:PublishProfile=%Staging_PUBLISHPROFILE_FILE%
Echo Deployment on Staging is completed
echo _________________________________________________________________
goto ProdDeployment

:StagingN
echo Deployment on Staging is Cancelled.
echo _________________________________________________________________
goto ProdDeployment

REM *****************Staging Deployment End******************************* 
:ProdDeployment
REM *****************Production Deployment Start*******************************
echo _________________________________________________________________
echo We are starting deployment on Production Environment. Would you like to continue?
echo.
set /p answer= Enter Y or N: 
echo.
if %answer% == Y goto PRODY
if not %answer% == Y goto PRODN

:PRODY
%MSBUILD_DIR% %SLN_FILE% /p:DeployOnBuild=true /p:PublishProfile=%Production_PUBLISHPROFILE_FILE%
Echo Deployment on Production is completed
echo _________________________________________________________________
goto DeploymentEnd

:PRODN
echo Deployment on Production is Cancelled.
echo _________________________________________________________________
echo.
goto DeploymentEnd

REM *****************Production Deployment End******************************* 

:DeploymentEnd
echo All file deployment steps are done!
PAUSE
